Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 12/04/2018, à 14:47

Svenor

Problème lors de l'installation de VirtualBox

Bonjour,
j'aimerais installer VirtualBox pour pouvoir émuler occasionnellement Windows, cependant l'installation en fonctionne pas. J'ai eu beau suivre les tutoriels, et les discussions sur le sujet, l'installation bloque toujours au même moment...

Voilà ce que j'ai fait :

svenor@svenor-HP-Notebook:~$ sudo apt-get remove --purge virtualbox*
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note, selecting 'virtualbox-source' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-utils' for glob 'virtualbox*'
Note, selecting 'virtualbox-ose' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-modules' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-additions-iso' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-dkms' for glob 'virtualbox*'
Note, selecting 'virtualbox-dkms' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-dkms-hwe' for glob 'virtualbox*'
Note, selecting 'virtualbox-ext-pack' for glob 'virtualbox*'
Note, selecting 'virtualbox' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-modules-hwe' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-x11-hwe' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-source' for glob 'virtualbox*'
Note, selecting 'virtualbox-ose-fuse' for glob 'virtualbox*'
Note, selecting 'virtualbox-qt' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-source-hwe' for glob 'virtualbox*'
Note, selecting 'virtualbox-2.0' for glob 'virtualbox*'
Note, selecting 'virtualbox-2.1' for glob 'virtualbox*'
Note, selecting 'virtualbox-2.2' for glob 'virtualbox*'
Note, selecting 'virtualbox-modules' for glob 'virtualbox*'
Note, selecting 'virtualbox-3.0' for glob 'virtualbox*'
Note, selecting 'virtualbox-3.1' for glob 'virtualbox*'
Note, selecting 'virtualbox-3.2' for glob 'virtualbox*'
Note, selecting 'virtualbox-4.0' for glob 'virtualbox*'
Note, selecting 'virtualbox-4.1' for glob 'virtualbox*'
Note, selecting 'virtualbox-4.2' for glob 'virtualbox*'
Note, selecting 'virtualbox-4.3' for glob 'virtualbox*'
Note, selecting 'virtualbox-5.0' for glob 'virtualbox*'
Note, selecting 'virtualbox-5.1' for glob 'virtualbox*'
Note, selecting 'virtualbox-5.2' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-utils-hwe' for glob 'virtualbox*'
Note, selecting 'virtualbox-dbg' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-x11' for glob 'virtualbox*'
Note, selecting 'virtualbox-guest-additions' for glob 'virtualbox*'
Le paquet « virtualbox-ose » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-ose-fuse » n'est pas installé, et ne peut donc être supprimé
Note : sélection de « virtualbox-dkms » au lieu de « virtualbox-modules »
Le paquet « virtualbox-2.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-2.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-2.2 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-3.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-3.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-3.2 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-4.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-4.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-4.2 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-4.3 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-additions » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-modules-hwe » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-dbg » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-dkms » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-ext-pack » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-additions-iso » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-dkms » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-dkms-hwe » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-source » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-source-hwe » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-utils » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-utils-hwe » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-x11 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-guest-x11-hwe » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-qt » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-source » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-5.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « virtualbox-5.2 » n'est pas installé, et ne peut donc être supprimé
Les paquets suivants seront ENLEVÉS :
  virtualbox-5.1*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 162 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 295213 fichiers et répertoires déjà installés.)
Suppression de virtualbox-5.1 (5.1.34-121010~Ubuntu~xenial) ...
Purge des fichiers de configuration de virtualbox-5.1 (5.1.34-121010~Ubuntu~xenial) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu3.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.5-2ubuntu0.1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
svenor@svenor-HP-Notebook:~$ 

puis :

svenor@svenor-HP-Notebook:~$ echo "deb http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contrib" | sudo tee /etc/apt/sources.list.d/virtualbox.list
deb http://download.virtualbox.org/virtualbox/debian xenial contrib
svenor@svenor-HP-Notebook:~$ 

et ensuite :

svenor@svenor-HP-Notebook:~$ sudo apt-get install virtualbox virtualbox-dkms
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants vont être installés :
  libgsoap8 libvncserver1 virtualbox-qt
Paquets suggérés :
  vde2 virtualbox-guest-additions-iso
Les NOUVEAUX paquets suivants seront installés :
  libgsoap8 libvncserver1 virtualbox virtualbox-dkms virtualbox-qt
0 mis à jour, 5 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/24,3 Mo dans les archives.
Après cette opération, 107 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Sélection du paquet libgsoap8:amd64 précédemment désélectionné.
(Lecture de la base de données... 294422 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libgsoap8_2.8.28-1_amd64.deb ...
Dépaquetage de libgsoap8:amd64 (2.8.28-1) ...
Sélection du paquet libvncserver1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../libvncserver1_0.9.10+dfsg-3ubuntu0.16.04.2_amd64.deb ...
Dépaquetage de libvncserver1:amd64 (0.9.10+dfsg-3ubuntu0.16.04.2) ...
Sélection du paquet virtualbox-dkms précédemment désélectionné.
Préparation du dépaquetage de .../virtualbox-dkms_5.1.34-dfsg-0ubuntu1.16.04.2_all.deb ...
Dépaquetage de virtualbox-dkms (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Sélection du paquet virtualbox précédemment désélectionné.
Préparation du dépaquetage de .../virtualbox_5.1.34-dfsg-0ubuntu1.16.04.2_amd64.deb ...
Dépaquetage de virtualbox (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Sélection du paquet virtualbox-qt précédemment désélectionné.
Préparation du dépaquetage de .../virtualbox-qt_5.1.34-dfsg-0ubuntu1.16.04.2_amd64.deb ...
Dépaquetage de virtualbox-qt (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Traitement des actions différées (« triggers ») pour systemd (229-4ubuntu21.2) ...
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-19) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.5-2ubuntu0.1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5.1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu3.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Paramétrage de libgsoap8:amd64 (2.8.28-1) ...
Paramétrage de libvncserver1:amd64 (0.9.10+dfsg-3ubuntu0.16.04.2) ...
Paramétrage de virtualbox-dkms (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Loading new virtualbox-5.1.34 DKMS files...
First Installation: checking all kernels...
Building only for 4.4.0-119-generic
Building initial module for 4.4.0-119-generic
Done.

vboxdrv:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-119-generic/updates/dkms/

vboxnetadp.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-119-generic/updates/dkms/

vboxnetflt.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-119-generic/updates/dkms/

vboxpci.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.4.0-119-generic/updates/dkms/

depmod....

DKMS: install completed.
Paramétrage de virtualbox (5.1.34-dfsg-0ubuntu1.16.04.2) ...
vboxweb.service is a disabled or a static unit, not starting it.
Job for virtualbox.service failed because the control process exited with error code. See "systemctl status virtualbox.service" and "journalctl -xe" for details.
invoke-rc.d: initscript virtualbox, action "restart" failed.
● virtualbox.service - LSB: VirtualBox Linux kernel module
   Loaded: loaded (/etc/init.d/virtualbox; bad; vendor preset: enabled)
   Active: failed (Result: exit-code) since jeu. 2018-04-12 14:39:04 CEST; 4ms ago
     Docs: man:systemd-sysv-generator(8)
  Process: 21658 ExecStart=/etc/init.d/virtualbox start (code=exited, status=1/FAILURE)

avril 12 14:39:04 svenor-HP-Notebook systemd[1]: Starting LSB: VirtualBox Li....
avril 12 14:39:04 svenor-HP-Notebook virtualbox[21658]:  * Loading VirtualBox...
avril 12 14:39:04 svenor-HP-Notebook virtualbox[21658]:  * modprobe vboxdrv f...
avril 12 14:39:04 svenor-HP-Notebook virtualbox[21658]:    ...fail!
avril 12 14:39:04 svenor-HP-Notebook systemd[1]: virtualbox.service: Control...1
avril 12 14:39:04 svenor-HP-Notebook systemd[1]: Failed to start LSB: Virtua....
avril 12 14:39:04 svenor-HP-Notebook systemd[1]: virtualbox.service: Unit en....
avril 12 14:39:04 svenor-HP-Notebook systemd[1]: virtualbox.service: Failed ....
Hint: Some lines were ellipsized, use -l to show in full.
Paramétrage de virtualbox-qt (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Traitement des actions différées (« triggers ») pour shim-signed (1.33.1~16.04.1+13-0ubuntu2) ...
The Secure Boot policy was already changed since last reboot; nothing to do.
Traitement des actions différées (« triggers ») pour systemd (229-4ubuntu21.2) ...
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-19) ...
svenor@svenor-HP-Notebook:~$ 

Comme vous pouvez le voir, j'ai pas mal d'erreur dans cette dernière commande...

Quand j'essaye de lancer virtualbox, ça me donne ça en terminal (mais virtualbox se lance, en m'affichant un message d'erreur quand j'essaye de lancer une virtualisation) :

svenor@svenor-HP-Notebook:~$ virtualbox
WARNING: The character device /dev/vboxdrv does not exist.
	 Please install the virtualbox-dkms package and the appropriate
	 headers, most likely linux-headers-generic.

	 You will not be able to start VMs until this problem is fixed.
svenor@svenor-HP-Notebook:~$ 

Si quelqu'un pouvais m'aider, ou a déjà rencontré cette erreur, ça m'arrangerais x)

P.S. : Je tiens à préciser que j'ai installé linux-headers-generic, et que j'ai réinstallé pas mal de fois virtualbox-dkms

Hors ligne

#2 Le 12/04/2018, à 16:26

michel_04

Re : Problème lors de l'installation de VirtualBox

Bonjour,

Tu ajoutes le dépôt http://download.virtualbox.org/virtualbox/ à tes sources.
Je n'ai pas vu la mise à jour de tes dépôts (apt update).
Comme tu n'indiques pas le numéro de la version que tu veux installer à partir du dépôt virtualbox (voir la page http://download.virtualbox.org/virtualb … contrib/v/ et suivantes), en saisissant dans ta commande install virtualbox sans numéro de version, tu installes le paquet virtualbox (5.1.34-dfsg-0ubuntu1.16.04.2) du dépôt ubuntu xenial-updates (voir package virtualbox ubuntu xenial).

Si tu as suivi la page Virtualbox de la Doc, il me semble que tu as fait un mix de l'install par les dépôts officiels Ubuntu et par le dépôt d'Oracle.

A+

Dernière modification par michel_04 (Le 12/04/2018, à 16:46)


:D

Hors ligne

#3 Le 14/04/2018, à 21:53

Svenor

Re : Problème lors de l'installation de VirtualBox

Bonjour,
déjà merci de ta réponse !
Je viens de réessayé avec le sudo apt update juste avant l'installation, mais j'obtiens les mêmes erreurs...
Cependant, je n'ai pas compris le sens de la deuxième phrase, est-ce mal d'installer cette version ? C'est pourtant ce que préconise le page VirtualBox de la Doc...

Pour cette histoire de mix, ça vient du fait que, ayant vu que la première version (dépôts ubuntu) ne marchait pas, j'ai essayé celle passant par le dépôt Oracle, mais je l'ai supprimé pour réinstaller celle passant par les dépôts d'Ubuntu pour cet exemple.
Encore merci de ta réponse, à plus.

Hors ligne